Summary: A web based terminal
Name: ajaxterm
Version: 0.10
Release: %mkrel 4

# LGPL for the bundled js part 
License: Public Domain and GPLv2 and LGPLv2
Group: System/Servers
URL: http://antony.lesuisse.org/qweb/trac/wiki/AjaxTerm
Source: http://antony.lesuisse.org/qweb/files/Ajaxterm-%{version}.tar.bz2
Source1: %{name}.init
Source2: %{name}.sysconfig
Patch1: %{name}-ff36.patch
Patch2:	ajaxterm-0.10-CVE-2009-1629.patch
Requires(preun): rpm-helper
Requires(post):  rpm-helper
Requires: python
BuildRequires: python
BuildArch: noarch
Suggests: apache-mod_proxy

%description
Ajaxterm is a web based terminal. It was totally inspired and works almost 
exactly like http://anyterm.org/ except it's much easier to install. 

Ajaxterm written in python (and some AJAX javascript for client side) and 
depends only on python2.3 or better.

%prep
%setup -q -n Ajaxterm-%{version}
%patch1 -p2
%patch2 -p1

%build
./configure --prefix=%{buildroot}/%{_prefix}/
perl -pi -e 's/.*ajaxterm.initd.*//' Makefile
perl -pi -e 's|bin/python2.3|bin/python|' qweb.py

%install
%{__rm} -rf %{buildroot}
make install 

mkdir -p %{buildroot}/%{_initrddir}/
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig

cp %SOURCE1 %{buildroot}/%_initrddir/%{name}
cp %SOURCE2 %{buildroot}/%{_sysconfdir}/sysconfig/%{name}

chmod 755 %{buildroot}/%{_initrddir}/%{name}
perl -pi -e 's|%{buildroot}/||g' %{buildroot}/%{_bindir}/ajaxterm

%files
%defattr(-, root, root, 0755)
%doc README.txt
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.10-4.mga4
+ Revision: 502468
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.10-3.mga3
+ Revision: 345361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 17 2012 luigiwalser <luigiwalser> 0.10-2.mga3
+ Revision: 281867
- add patch from debian to fix CVE-2009-1629

* Wed Jan 18 2012 nelg <nelg> 0.10-1.mga2
+ Revision: 197811
- imported package ajaxterm

